Subject: Re: [PATCH] difftool: add support for an extended revision syntax

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2009 10:21:24 -0700

David Aguilar <[email-masked]> writes:

> I'm still interested in the file~<n> idea [though maybe not
> that exact syntax] and have been reading revision.c (as Junio
> suggested) to see if it can be done in a good way.

I'll send a comment in a separate message.

> I noticed that my patches for "add tests to difftool" and "add
> the -y shortcut for --no-prompt" were in git.git's pu branch
> the other day but aren't there anymore.  Was that intentional?

Yes, it makes 'pu' not pass the self test.